{
    "path": "$OET_PATH/testcases/function_test/pkg_test/c-blosc/blosc-bench",
    "machine num": 1,
    "cases": [
        {
            "name": "test_blosc-bench_install",
            "desc": "测试软件包blosc-bench的安装功能",
            "machine num": 1
        },
        {
            "name": "test_blosc-bench_blosc-bench_blosclz_shuffle_suite",
            "desc": "使用 blosclz 压缩器，shuffle 过滤器，suite 测试套件"
        },
        {
            "name": "test_blosc-bench_blosc-bench_lz4_noshuffle_single",
            "desc": "使用 lz4 压缩器，noshuffle 过滤器，single 测试套件"
        },
        {
            "name": "test_blosc-bench_blosc-bench_lz4hc_bitshuffle_hardsuite",
            "desc": "使用 lz4hc 压缩器，bitshuffle 过滤器，hardsuite 测试套件"
        },
        {
            "name": "test_blosc-bench_blosc-bench_zlib_shuffle_extremesuite",
            "desc": "使用 zlib 压缩器，shuffle 过滤器，extremesuite 测试套件"
        },
        {
            "name": "test_blosc-bench_blosc-bench_zstd_noshuffle_debugsuite",
            "desc": "使用 zstd 压缩器，noshuffle 过滤器，debugsuite 测试套件"
        },
        {
            "name": "test_blosc-bench_blosc-bench_blosclz_bitshuffle_suite_num_4_num_1024_num_8_num_3",
            "desc": "使用 blosclz 压缩器，bitshuffle 过滤器，suite 测试套件，线程数为 4，缓冲区大小为1024字节，类型大小为8字节，sbits为3"
        },
        {
            "name": "test_blosc-bench_blosc-plot-times_o",
            "desc": "测试使用 -o 参数指定输出文件名的功能"
        },
        {
            "name": "test_blosc-bench_blosc-plot-times_t",
            "desc": "测试使用 -t 参数指定图表标题的功能"
        },
        {
            "name": "test_blosc-bench_blosc-plot-times_l",
            "desc": "测试使用 -l 参数限制显示线程数量的功能"
        },
        {
            "name": "test_blosc-bench_blosc-plot-times_x",
            "desc": "测试使用 -x 参数限制 x 轴范围的功能"
        },
        {
            "name": "test_blosc-bench_blosc-plot-times_y",
            "desc": "测试使用 -y 参数限制 y 轴范围的功能"
        },
        {
            "name": "test_blosc-bench_blosc-plot-times_r",
            "desc": "测试使用 -r 参数生成报告文件的功能"
        },
        {
            "name": "test_blosc-bench_blosc-plot-times_d",
            "desc": "测试使用 -d 参数绘制解压缩数据的功能"
        },
        {
            "name": "test_blosc-bench_blosc-plot-times_c",
            "desc": "测试使用 -c 参数绘制压缩数据的功能"
        },
        {
            "name": "test_blosc-bench_function_install",
            "desc": "测试软件包blosc-bench的安装功能"
        }
    ]
}